%define lib_major                       0
%define lib_name                        %{mklibname p2p %{lib_major}}
%define lib_name_devel                  %{mklibname p2p -d}
%define lib_name_static_devel           %{mklibname p2p -d -s}

Name:           listtools
Version:        1.0
Release:        %mkrel 18
Epoch:          0
Summary:        P2P List Library
URL:            http://peerguardian.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-unix.patch
Patch1:		listtools-exception-ambiguity.patch
Patch2:		listtools-missing-include.patch
License:        BSD
Group:          System/Libraries
BuildRequires:  doxygen
BuildRequires:  boost-devel
BuildRequires:  mysql-devel
BuildRequires:  tetex
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
P2P List Library.

%package -n %{lib_name}
Summary:        Main library for the libp2p library
Group:          System/Libraries

%description -n %{lib_name}
This package contains the libraries needed to run programs dynamically
linked with the libp2p library.

%package -n %{lib_name_devel}
Group:          Development/C++
Summary:        Shared libraries and header files for the libp2p library
Provides:       p2p-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname p2p 0 -d}
Requires:       %{lib_name} = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
The %{name} package contains the shared libraries and header files
needed for developing libp2p applications.

%package -n %{lib_name_static_devel}
Group:          Development/C++
Summary:        Static libraries for the libp2p library
Provides:       p2p-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname p2p 0 -s -d}
Requires:       %{lib_name_devel} = %{epoch}:%{version}-%{release}

%description -n %{lib_name_static_devel}
The %{name} package contains the static libraries needed for developing
libp2p applications.

%prep
%setup -q -n %{name}
%apply_patches
%{_bindir}/autoreconf -f --verbose -i

%build
%{configure2_5x}
%{make}
%{make} doxygen-doc

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%check
%{make} check

%clean
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/dumpp2p
%attr(0755,root,root) %{_bindir}/filterp2p
%attr(0755,root,root) %{_bindir}/genallow
%attr(0755,root,root) %{_bindir}/mergep2p

%files -n %{lib_name}
%defattr(0644,root,root,0755)
%doc p2b.txt
%attr(0755,root,root) %{_libdir}/libp2p.so.*

%files -n %{lib_name_devel}
%defattr(0644,root,root,0755)
%doc Docs/html
%dir %{_includedir}/p2p
%{_includedir}/p2p/*.hpp
%attr(0755,root,root) %{_libdir}/libp2p.so
%attr(0755,root,root) %{_libdir}/libp2p.la
%{_libdir}/pkgconfig/libp2p.pc

%files -n %{lib_name_static_devel}
%defattr(0644,root,root,0755)
%{_libdir}/libp2p.a


%changelog
* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0:1.0-18mdv2011.0
+ Revision: 572377
- rebuild for new boost

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0:1.0-17mdv2011.0
+ Revision: 502295
- fix build with recent boost (exception-ambiguity.patch)
- fix build due to missing include (missing-include.patch)
- rebuild for new boost

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Adam Williamson <awilliamson@mandriva.org>
    - fix a bug in ax_prog_doxygen.m4 which breaks autoconf / configure
    - new devel policy

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 02 2007 David Walluck <walluck@mandriva.org> 0:1.0-10mdv2008.1
+ Revision: 105410
- fix BuildRequires
- fix devel provides
- call %%{makeinstall_std}

* Wed May 23 2007 David Walluck <walluck@mandriva.org> 0:1.0-8mdv2008.0
+ Revision: 30400
- update summary and description
- fix doxygen-generated documentation

* Wed May 23 2007 David Walluck <walluck@mandriva.org> 0:1.0-7mdv2008.0
+ Revision: 30051
- set doxygen INPUT to libp2p/src

* Wed May 23 2007 David Walluck <walluck@mandriva.org> 0:1.0-6mdv2008.0
+ Revision: 29984
- build doxygen using Makefile (which incorrectly forces latex)
- fix output file
- better file for AC_CONFIG_SRCDIR
- fix .pc.in Name and Description
- fix dumpp2p argument handling

* Tue May 22 2007 David Walluck <walluck@mandriva.org> 0:1.0-4mdv2008.0
+ Revision: 29694
- fix BuildRoot
- build API documentation

* Tue May 22 2007 David Walluck <walluck@mandriva.org> 0:1.0-2mdv2008.0
+ Revision: 29647
- add -Wall option

* Tue May 22 2007 David Walluck <walluck@mandriva.org> 0:1.0-1mdv2008.0
+ Revision: 29637
- Import listtools



* Mon May 21 2007 David Walluck <walluck@mandriva.org> 0:1.0-1mdv2008.0
- release
